searchNodes=[{"ref":"WeChat.Error.html","title":"WeChat.Error","type":"exception","doc":""},{"ref":"WeChat.Token.html","title":"WeChat.Token","type":"module","doc":""},{"ref":"WeChat.Token.html#t:t/0","title":"WeChat.Token.t/0","type":"type","doc":""},{"ref":"WeChat.Adapter.Storage.Client.html","title":"WeChat.Adapter.Storage.Client","type":"behaviour","doc":"The storage adapter specification for WeChat common application. Since we need to storage(cache) some key data(e.g. access_token) for invoking WeChat APIs, this module is used for customizing the persistence when use this library in a :client side of WeChat common application. Notice: In the :client scenario, we only need to implement the minimum functions to automatically append the required parameters from the persistence. Writing custom storage adapter Example for WeChat Official Account Platform application defmodule MyApp.Storage.Client do @behaviour WeChat.Adapter.Storage.Client @impl true def get_access_token(appid) do access_token = &quot;Get access_token by appid from your persistence...&quot; access_token end @impl true def delete_access_token(appid, access_token) do # Delete access_token by appid from your persistence :ok end end"},{"ref":"WeChat.Adapter.Storage.Client.html#c:delete_access_token/2","title":"WeChat.Adapter.Storage.Client.delete_access_token/2","type":"callback","doc":"Delete access_token of WeChat common application. Example delete_access_token(appid, access_token)"},{"ref":"WeChat.Adapter.Storage.Client.html#c:get_access_token/1","title":"WeChat.Adapter.Storage.Client.get_access_token/1","type":"callback","doc":"Get access_token of WeChat common application. Example get_access_token(appid)"},{"ref":"WeChat.Adapter.Storage.ComponentClient.html","title":"WeChat.Adapter.Storage.ComponentClient","type":"behaviour","doc":"The storage adapter specification for WeChat component application. Since we need to storage(cache) some key data(e.g. access_token/component_access_token) for invoking WeChat APIs, this module is used for customizing the persistence when use this library in a :client side of WeChat component application. Writing custom storage adapter Example for WeChat 3rd-party Platform application defmodule MyComponentApp.Storage.Client do @behaviour WeChat.Adapter.Storage.ComponentClient @impl true def get_access_token(appid, authorizer_appid) do access_token = &quot;Get authorizer&#39;s access_token by appid and authorizer_appid from your persistence...&quot; access_token end @impl ture def get_component_access_token(appid) do access_token = &quot;Get component access_token by component appid from your persistence...&quot; access_token end @impl true def delete_access_token(appid, authorizer_appid, access_token) do :ok end end"},{"ref":"WeChat.Adapter.Storage.ComponentClient.html#c:delete_access_token/3","title":"WeChat.Adapter.Storage.ComponentClient.delete_access_token/3","type":"callback","doc":"Delete authorizer&#39;s access_token for WeChat component application. Example delete_access_token( appid, authorizer_appid, access_token )"},{"ref":"WeChat.Adapter.Storage.ComponentClient.html#c:get_access_token/2","title":"WeChat.Adapter.Storage.ComponentClient.get_access_token/2","type":"callback","doc":"Get authorizer&#39;s access_token for WeChat component application. Example get_access_token(appid, authorizer_appid)"},{"ref":"WeChat.Adapter.Storage.ComponentClient.html#c:get_component_access_token/1","title":"WeChat.Adapter.Storage.ComponentClient.get_component_access_token/1","type":"callback","doc":"Get access_token of WeChat component application. Example get_component_access_token(appid)"},{"ref":"WeChat.Adapter.Storage.ComponentHub.html","title":"WeChat.Adapter.Storage.ComponentHub","type":"behaviour","doc":"The storage adapter specification for WeChat component application. Since we need to storage(cache) some key data(e.g. access_token/component_access_token) for invoking WeChat APIs, this module is used for customizing the persistence when use this library in a :hub side of WeChat component application. Notice: In the :hub scenario, we need to implement the completed functions to maintain the persistence. Writing custom storage adapter Example for WeChat 3rd-party Platform application defmodule MyComponentApp.Storage.Hub do @behaviour WeChat.Adapter.Storage.ComponentHub @impl true def get_secret_key(appid) do secret_key = &quot;Get component application secret_key from your persistence...&quot; secret_key end @impl true def get_access_token(appid, authorizer_appid) do access_token = &quot;Get authorizer&#39;s access_token for WeChat component application from your persistence...&quot; access_token end @impl true def save_access_token(appid, authorizer_appid, access_token, refresh_token) do # Save authorizer&#39;s access_token and its refresh_token to your persistence end @impl true def delete_access_token(appid, authorizer_appid, access_token) do # Delete authorizer&#39;s access_token for WeChat component application from your persistence end @impl true def get_component_access_token(appid) do access_token = &quot;Get component access_token for WeChat component application from your persistence...&quot; access_token end @impl true def save_component_access_token(appid, component_access_token) do # Save access_token of WeChat component application end @impl true def delete_component_access_token(appid, component_access_token) do # Delete access_token of WeChat component application end @impl true def get_component_verify_ticket(appid) do component_verify_ticket = &quot;Get component_verify_ticket for WeChat component application from your persistence...&quot; component_verify_ticket end @impl true def save_component_verify_ticket(appid, component_verify_ticket) do # Save component_verify_ticket to your persistence end end"},{"ref":"WeChat.Adapter.Storage.ComponentHub.html#c:delete_access_token/3","title":"WeChat.Adapter.Storage.ComponentHub.delete_access_token/3","type":"callback","doc":"Delete authorizer&#39;s access_token for WeChat component application. Example delete_access_token( appid, authorizer_appid, access_token )"},{"ref":"WeChat.Adapter.Storage.ComponentHub.html#c:delete_component_access_token/2","title":"WeChat.Adapter.Storage.ComponentHub.delete_component_access_token/2","type":"callback","doc":"Delete access_token of WeChat component application. Example delete_component_access_token( appid, component_access_token )"},{"ref":"WeChat.Adapter.Storage.ComponentHub.html#c:get_access_token/2","title":"WeChat.Adapter.Storage.ComponentHub.get_access_token/2","type":"callback","doc":"Get authorizer&#39;s access_token for WeChat component application. Example get_access_token(appid, authorizer_appid)"},{"ref":"WeChat.Adapter.Storage.ComponentHub.html#c:get_component_access_token/1","title":"WeChat.Adapter.Storage.ComponentHub.get_component_access_token/1","type":"callback","doc":"Get access_token of WeChat component application. Example get_component_access_token(appid)"},{"ref":"WeChat.Adapter.Storage.ComponentHub.html#c:get_component_verify_ticket/1","title":"WeChat.Adapter.Storage.ComponentHub.get_component_verify_ticket/1","type":"callback","doc":"Get component_verify_ticket of WeChat component application."},{"ref":"WeChat.Adapter.Storage.ComponentHub.html#c:get_secret_key/1","title":"WeChat.Adapter.Storage.ComponentHub.get_secret_key/1","type":"callback","doc":"Get secret_key of WeChat component application."},{"ref":"WeChat.Adapter.Storage.ComponentHub.html#c:save_access_token/4","title":"WeChat.Adapter.Storage.ComponentHub.save_access_token/4","type":"callback","doc":"Save authorizer&#39;s access_token for WeChat component application. Example save_access_token( appid, authorizer_appid, access_token, refresh_token, )"},{"ref":"WeChat.Adapter.Storage.ComponentHub.html#c:save_component_access_token/2","title":"WeChat.Adapter.Storage.ComponentHub.save_component_access_token/2","type":"callback","doc":"Save access_token of WeChat component application. Example save_component_access_token( appid, component_access_token )"},{"ref":"WeChat.Adapter.Storage.ComponentHub.html#c:save_component_verify_ticket/2","title":"WeChat.Adapter.Storage.ComponentHub.save_component_verify_ticket/2","type":"callback","doc":"Save component_verify_ticket of WeChat component application. Example save_component_verify_ticket(appid, component_verify_ticket)"},{"ref":"WeChat.Adapter.Storage.Hub.html","title":"WeChat.Adapter.Storage.Hub","type":"behaviour","doc":"The storage adapter specification for WeChat common application. Since we need to storage(cache) some key data(e.g. access_token) for invoking WeChat APIs, this module is used for customizing the persistence when use this library in a :hub side of WeChat common application. Notice: In the :hub scenario, we need to implement the completed functions to maintain the persistence. Writing custom storage adapter Example for WeChat Official Account Platform application defmodule MyApp.Storage.Hub do @behaviour WeChat.Adapter.Storage.Hub @impl true def get_secret_keya(appid) do secret_key = &quot;Get secret_key by appid from your persistence...&quot; secret_key end @impl true def get_access_token(appid) do access_token = &quot;Get access_token by appid from your persistence...&quot; access_token end @impl true def save_access_token(appid, access_token) do # Save access_token by appid to your persistence end @impl true def delete_access_token(appid, access_token) do # Delete access_token by appid from your persistence end end"},{"ref":"WeChat.Adapter.Storage.Hub.html#c:delete_access_token/2","title":"WeChat.Adapter.Storage.Hub.delete_access_token/2","type":"callback","doc":"Delete access_token of WeChat common application. Example delete_access_token(appid, access_token)"},{"ref":"WeChat.Adapter.Storage.Hub.html#c:get_access_token/1","title":"WeChat.Adapter.Storage.Hub.get_access_token/1","type":"callback","doc":"Get access_token of WeChat common application. Example get_access_token(appid)"},{"ref":"WeChat.Adapter.Storage.Hub.html#c:get_secret_key/1","title":"WeChat.Adapter.Storage.Hub.get_secret_key/1","type":"callback","doc":"Get secret_key of WeChat common application."},{"ref":"WeChat.Adapter.Storage.Hub.html#c:save_access_token/2","title":"WeChat.Adapter.Storage.Hub.save_access_token/2","type":"callback","doc":"Save access_token of WeChat common application. Example save_access_token(appid, access_token)"},{"ref":"DynamicAppIdClient.html","title":"DynamicAppIdClient","type":"module","doc":"NOTICE: THIS MODULE IS ONLY FOR DOCUMENT. Initialize a WeChat client without appid configuration, each time when invoke WeChat services need to input the appid. This suite is for using elixir_wechat library in the Server side, and can serve multiple accounts dynamically. defmodule WeChat.MyApp do use WeChat end Options: :appid - the appid of wechat official account. :client option will send refresh request to the hub to fetch access token, using :client by default. :scenario - the scenario of initialized client, options: :hub or :client, set as :hub option means it is self-manange access token in the hub, we need to do it when using this library in the Server side, set as :client option means this library sends refresh request to the hub to fetch valid access token, using :client by default. :adapter_storage - the implements for some items persistence, e.g. access_token, secret_key and etc, when set scenario as :client by default, there will use WeChat.Storage.Default by default, if need to override it for yourself, please implement required functions follow WeChat.Adapter.Storage.Client behaviour module."},{"ref":"DynamicAppIdClient.html#card/2","title":"DynamicAppIdClient.card/2","type":"function","doc":"Perform CARD API(s). card(:get, appid) card(:post, appid) Send request to URL https://api.weixin.qq.com/card."},{"ref":"DynamicAppIdClient.html#card/3","title":"DynamicAppIdClient.card/3","type":"function","doc":"Perform CARD API(s) card(:get, appid, uri_supplement) card(:get, appid, query) card(:post, appid, uri_supplement) card(:post, appid, data) Send request to URL https://api.weixin.qq.com/card. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/card/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: card(:http_verb, appid, :&quot;${uri_supplement}&quot;)"},{"ref":"DynamicAppIdClient.html#card/4","title":"DynamicAppIdClient.card/4","type":"function","doc":"Perform CARD API(s) card(:get, appid, uri_supplement, query) card(:post, appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/card. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/card/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: card(:http_verb, appid, :&quot;${uri_supplement}&quot;, query) card(:http_verb, appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"DynamicAppIdClient.html#card_code/2","title":"DynamicAppIdClient.card_code/2","type":"function","doc":"Perform CARD_CODE API(s). card_code(:get, appid) card_code(:post, appid) Send request to URL https://api.weixin.qq.com/card/code."},{"ref":"DynamicAppIdClient.html#card_code/3","title":"DynamicAppIdClient.card_code/3","type":"function","doc":"Perform CARD_CODE API(s) card_code(:get, appid, uri_supplement) card_code(:get, appid, query) card_code(:post, appid, uri_supplement) card_code(:post, appid, data) Send request to URL https://api.weixin.qq.com/card/code. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/card/code/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: card_code(:http_verb, appid, :&quot;${uri_supplement}&quot;)"},{"ref":"DynamicAppIdClient.html#card_code/4","title":"DynamicAppIdClient.card_code/4","type":"function","doc":"Perform CARD_CODE API(s) card_code(:get, appid, uri_supplement, query) card_code(:post, appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/card/code. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/card/code/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: card_code(:http_verb, appid, :&quot;${uri_supplement}&quot;, query) card_code(:http_verb, appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"DynamicAppIdClient.html#card_user/2","title":"DynamicAppIdClient.card_user/2","type":"function","doc":"Perform CARD_USER API(s). card_user(:get, appid) card_user(:post, appid) Send request to URL https://api.weixin.qq.com/card/user."},{"ref":"DynamicAppIdClient.html#card_user/3","title":"DynamicAppIdClient.card_user/3","type":"function","doc":"Perform CARD_USER API(s) card_user(:get, appid, uri_supplement) card_user(:get, appid, query) card_user(:post, appid, uri_supplement) card_user(:post, appid, data) Send request to URL https://api.weixin.qq.com/card/user. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/card/user/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: card_user(:http_verb, appid, :&quot;${uri_supplement}&quot;)"},{"ref":"DynamicAppIdClient.html#card_user/4","title":"DynamicAppIdClient.card_user/4","type":"function","doc":"Perform CARD_USER API(s) card_user(:get, appid, uri_supplement, query) card_user(:post, appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/card/user. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/card/user/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: card_user(:http_verb, appid, :&quot;${uri_supplement}&quot;, query) card_user(:http_verb, appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"DynamicAppIdClient.html#clean_access_token/2","title":"DynamicAppIdClient.clean_access_token/2","type":"function","doc":""},{"ref":"DynamicAppIdClient.html#datacube/2","title":"DynamicAppIdClient.datacube/2","type":"function","doc":"Perform DATACUBE API(s). datacube(:get, appid) datacube(:post, appid) Send request to URL https://api.weixin.qq.com/datacube."},{"ref":"DynamicAppIdClient.html#datacube/3","title":"DynamicAppIdClient.datacube/3","type":"function","doc":"Perform DATACUBE API(s) datacube(:get, appid, uri_supplement) datacube(:get, appid, query) datacube(:post, appid, uri_supplement) datacube(:post, appid, data) Send request to URL https://api.weixin.qq.com/datacube. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/datacube/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: datacube(:http_verb, appid, :&quot;${uri_supplement}&quot;)"},{"ref":"DynamicAppIdClient.html#datacube/4","title":"DynamicAppIdClient.datacube/4","type":"function","doc":"Perform DATACUBE API(s) datacube(:get, appid, uri_supplement, query) datacube(:post, appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/datacube. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/datacube/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: datacube(:http_verb, appid, :&quot;${uri_supplement}&quot;, query) datacube(:http_verb, appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"DynamicAppIdClient.html#get_access_token/1","title":"DynamicAppIdClient.get_access_token/1","type":"function","doc":""},{"ref":"DynamicAppIdClient.html#material/2","title":"DynamicAppIdClient.material/2","type":"function","doc":"Perform MATERIAL API(s). material(:get, appid) material(:post, appid) Send request to URL https://api.weixin.qq.com/cgi-bin/material."},{"ref":"DynamicAppIdClient.html#material/3","title":"DynamicAppIdClient.material/3","type":"function","doc":"Perform MATERIAL API(s) material(:get, appid, uri_supplement) material(:get, appid, query) material(:post, appid, uri_supplement) material(:post, appid, data) Send request to URL https://api.weixin.qq.com/cgi-bin/material. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/material/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: material(:http_verb, appid, :&quot;${uri_supplement}&quot;)"},{"ref":"DynamicAppIdClient.html#material/4","title":"DynamicAppIdClient.material/4","type":"function","doc":"Perform MATERIAL API(s) material(:get, appid, uri_supplement, query) material(:post, appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/material. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/material/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: material(:http_verb, appid, :&quot;${uri_supplement}&quot;, query) material(:http_verb, appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"DynamicAppIdClient.html#media/2","title":"DynamicAppIdClient.media/2","type":"function","doc":"Perform MEDIA API(s). media(:get, appid) media(:post, appid) Send request to URL https://api.weixin.qq.com/cgi-bin/media."},{"ref":"DynamicAppIdClient.html#media/3","title":"DynamicAppIdClient.media/3","type":"function","doc":"Perform MEDIA API(s) media(:get, appid, uri_supplement) media(:get, appid, query) media(:post, appid, uri_supplement) media(:post, appid, data) Send request to URL https://api.weixin.qq.com/cgi-bin/media. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/media/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: media(:http_verb, appid, :&quot;${uri_supplement}&quot;)"},{"ref":"DynamicAppIdClient.html#media/4","title":"DynamicAppIdClient.media/4","type":"function","doc":"Perform MEDIA API(s) media(:get, appid, uri_supplement, query) media(:post, appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/media. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/media/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: media(:http_verb, appid, :&quot;${uri_supplement}&quot;, query) media(:http_verb, appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"DynamicAppIdClient.html#menu/2","title":"DynamicAppIdClient.menu/2","type":"function","doc":"Perform MENU API(s). menu(:get, appid) menu(:post, appid) Send request to URL https://api.weixin.qq.com/cgi-bin/menu."},{"ref":"DynamicAppIdClient.html#menu/3","title":"DynamicAppIdClient.menu/3","type":"function","doc":"Perform MENU API(s) menu(:get, appid, uri_supplement) menu(:get, appid, query) menu(:post, appid, uri_supplement) menu(:post, appid, data) Send request to URL https://api.weixin.qq.com/cgi-bin/menu. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/menu/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: menu(:http_verb, appid, :&quot;${uri_supplement}&quot;)"},{"ref":"DynamicAppIdClient.html#menu/4","title":"DynamicAppIdClient.menu/4","type":"function","doc":"Perform MENU API(s) menu(:get, appid, uri_supplement, query) menu(:post, appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/menu. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/menu/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: menu(:http_verb, appid, :&quot;${uri_supplement}&quot;, query) menu(:http_verb, appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"DynamicAppIdClient.html#message_custom/2","title":"DynamicAppIdClient.message_custom/2","type":"function","doc":"Perform MESSAGE_CUSTOM API(s). message_custom(:get, appid) message_custom(:post, appid) Send request to URL https://api.weixin.qq.com/cgi-bin/message/custom."},{"ref":"DynamicAppIdClient.html#message_custom/3","title":"DynamicAppIdClient.message_custom/3","type":"function","doc":"Perform MESSAGE_CUSTOM API(s) message_custom(:get, appid, uri_supplement) message_custom(:get, appid, query) message_custom(:post, appid, uri_supplement) message_custom(:post, appid, data) Send request to URL https://api.weixin.qq.com/cgi-bin/message/custom. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/message/custom/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: message_custom(:http_verb, appid, :&quot;${uri_supplement}&quot;)"},{"ref":"DynamicAppIdClient.html#message_custom/4","title":"DynamicAppIdClient.message_custom/4","type":"function","doc":"Perform MESSAGE_CUSTOM API(s) message_custom(:get, appid, uri_supplement, query) message_custom(:post, appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/message/custom. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/message/custom/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: message_custom(:http_verb, appid, :&quot;${uri_supplement}&quot;, query) message_custom(:http_verb, appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"DynamicAppIdClient.html#message_template/2","title":"DynamicAppIdClient.message_template/2","type":"function","doc":"Perform MESSAGE_TEMPLATE API(s). message_template(:get, appid) message_template(:post, appid) Send request to URL https://api.weixin.qq.com/cgi-bin/message/template."},{"ref":"DynamicAppIdClient.html#message_template/3","title":"DynamicAppIdClient.message_template/3","type":"function","doc":"Perform MESSAGE_TEMPLATE API(s) message_template(:get, appid, uri_supplement) message_template(:get, appid, query) message_template(:post, appid, uri_supplement) message_template(:post, appid, data) Send request to URL https://api.weixin.qq.com/cgi-bin/message/template. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/message/template/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: message_template(:http_verb, appid, :&quot;${uri_supplement}&quot;)"},{"ref":"DynamicAppIdClient.html#message_template/4","title":"DynamicAppIdClient.message_template/4","type":"function","doc":"Perform MESSAGE_TEMPLATE API(s) message_template(:get, appid, uri_supplement, query) message_template(:post, appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/message/template. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/message/template/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: message_template(:http_verb, appid, :&quot;${uri_supplement}&quot;, query) message_template(:http_verb, appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"DynamicAppIdClient.html#poi/2","title":"DynamicAppIdClient.poi/2","type":"function","doc":"Perform POI API(s). poi(:get, appid) poi(:post, appid) Send request to URL https://api.weixin.qq.com/cgi-bin/poi."},{"ref":"DynamicAppIdClient.html#poi/3","title":"DynamicAppIdClient.poi/3","type":"function","doc":"Perform POI API(s) poi(:get, appid, uri_supplement) poi(:get, appid, query) poi(:post, appid, uri_supplement) poi(:post, appid, data) Send request to URL https://api.weixin.qq.com/cgi-bin/poi. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/poi/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: poi(:http_verb, appid, :&quot;${uri_supplement}&quot;)"},{"ref":"DynamicAppIdClient.html#poi/4","title":"DynamicAppIdClient.poi/4","type":"function","doc":"Perform POI API(s) poi(:get, appid, uri_supplement, query) poi(:post, appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/poi. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/poi/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: poi(:http_verb, appid, :&quot;${uri_supplement}&quot;, query) poi(:http_verb, appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"DynamicAppIdClient.html#qrcode/2","title":"DynamicAppIdClient.qrcode/2","type":"function","doc":"Perform QRCODE API(s). qrcode(:get, appid) qrcode(:post, appid) Send request to URL https://api.weixin.qq.com/cgi-bin/qrcode."},{"ref":"DynamicAppIdClient.html#qrcode/3","title":"DynamicAppIdClient.qrcode/3","type":"function","doc":"Perform QRCODE API(s) qrcode(:get, appid, uri_supplement) qrcode(:get, appid, query) qrcode(:post, appid, uri_supplement) qrcode(:post, appid, data) Send request to URL https://api.weixin.qq.com/cgi-bin/qrcode. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/qrcode/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: qrcode(:http_verb, appid, :&quot;${uri_supplement}&quot;)"},{"ref":"DynamicAppIdClient.html#qrcode/4","title":"DynamicAppIdClient.qrcode/4","type":"function","doc":"Perform QRCODE API(s) qrcode(:get, appid, uri_supplement, query) qrcode(:post, appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/qrcode. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/qrcode/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: qrcode(:http_verb, appid, :&quot;${uri_supplement}&quot;, query) qrcode(:http_verb, appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"DynamicAppIdClient.html#shorturl/3","title":"DynamicAppIdClient.shorturl/3","type":"function","doc":"Perform SHORTURL API(s) shorturl(:post, appid, uri_supplement) shorturl(:post, appid, data) Send request to URL https://api.weixin.qq.com/cgi-bin/shorturl. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/shorturl/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: shorturl(:http_verb, appid, :&quot;${uri_supplement}&quot;)"},{"ref":"DynamicAppIdClient.html#shorturl/4","title":"DynamicAppIdClient.shorturl/4","type":"function","doc":"Perform SHORTURL API(s) shorturl(:post, appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/shorturl. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/shorturl/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: shorturl(:http_verb, appid, :&quot;${uri_supplement}&quot;, query) shorturl(:http_verb, appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"DynamicAppIdClient.html#showqrcode/2","title":"DynamicAppIdClient.showqrcode/2","type":"function","doc":"Perform SHOWQRCODE API(s). showqrcode(:get, appid) Send request to URL https://mp.weixin.qq.com/cgi-bin/showqrcode."},{"ref":"DynamicAppIdClient.html#showqrcode/3","title":"DynamicAppIdClient.showqrcode/3","type":"function","doc":"Perform SHOWQRCODE API(s) showqrcode(:get, appid, uri_supplement) showqrcode(:get, appid, query) Send request to URL https://mp.weixin.qq.com/cgi-bin/showqrcode. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://mp.weixin.qq.com/cgi-bin/showqrcode/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: showqrcode(:http_verb, appid, :&quot;${uri_supplement}&quot;)"},{"ref":"DynamicAppIdClient.html#showqrcode/4","title":"DynamicAppIdClient.showqrcode/4","type":"function","doc":"Perform SHOWQRCODE API(s) showqrcode(:get, appid, uri_supplement, query) Send request to URL https://mp.weixin.qq.com/cgi-bin/showqrcode. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://mp.weixin.qq.com/cgi-bin/showqrcode/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: showqrcode(:http_verb, appid, :&quot;${uri_supplement}&quot;, query) showqrcode(:http_verb, appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"DynamicAppIdClient.html#tags/2","title":"DynamicAppIdClient.tags/2","type":"function","doc":"Perform TAGS API(s). tags(:get, appid) tags(:post, appid) Send request to URL https://api.weixin.qq.com/cgi-bin/tags."},{"ref":"DynamicAppIdClient.html#tags/3","title":"DynamicAppIdClient.tags/3","type":"function","doc":"Perform TAGS API(s) tags(:get, appid, uri_supplement) tags(:get, appid, query) tags(:post, appid, uri_supplement) tags(:post, appid, data) Send request to URL https://api.weixin.qq.com/cgi-bin/tags. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/tags/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: tags(:http_verb, appid, :&quot;${uri_supplement}&quot;)"},{"ref":"DynamicAppIdClient.html#tags/4","title":"DynamicAppIdClient.tags/4","type":"function","doc":"Perform TAGS API(s) tags(:get, appid, uri_supplement, query) tags(:post, appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/tags. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/tags/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: tags(:http_verb, appid, :&quot;${uri_supplement}&quot;, query) tags(:http_verb, appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"DynamicAppIdClient.html#template/2","title":"DynamicAppIdClient.template/2","type":"function","doc":"Perform TEMPLATE API(s). template(:get, appid) template(:post, appid) Send request to URL https://api.weixin.qq.com/cgi-bin/template."},{"ref":"DynamicAppIdClient.html#template/3","title":"DynamicAppIdClient.template/3","type":"function","doc":"Perform TEMPLATE API(s) template(:get, appid, uri_supplement) template(:get, appid, query) template(:post, appid, uri_supplement) template(:post, appid, data) Send request to URL https://api.weixin.qq.com/cgi-bin/template. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/template/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: template(:http_verb, appid, :&quot;${uri_supplement}&quot;)"},{"ref":"DynamicAppIdClient.html#template/4","title":"DynamicAppIdClient.template/4","type":"function","doc":"Perform TEMPLATE API(s) template(:get, appid, uri_supplement, query) template(:post, appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/template. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/template/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: template(:http_verb, appid, :&quot;${uri_supplement}&quot;, query) template(:http_verb, appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"DynamicAppIdClient.html#user/2","title":"DynamicAppIdClient.user/2","type":"function","doc":"Perform USER API(s). user(:get, appid) user(:post, appid) Send request to URL https://api.weixin.qq.com/cgi-bin/user."},{"ref":"DynamicAppIdClient.html#user/3","title":"DynamicAppIdClient.user/3","type":"function","doc":"Perform USER API(s) user(:get, appid, uri_supplement) user(:get, appid, query) user(:post, appid, uri_supplement) user(:post, appid, data) Send request to URL https://api.weixin.qq.com/cgi-bin/user. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/user/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: user(:http_verb, appid, :&quot;${uri_supplement}&quot;)"},{"ref":"DynamicAppIdClient.html#user/4","title":"DynamicAppIdClient.user/4","type":"function","doc":"Perform USER API(s) user(:get, appid, uri_supplement, query) user(:post, appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/user. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/user/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: user(:http_verb, appid, :&quot;${uri_supplement}&quot;, query) user(:http_verb, appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"DynamicComponentAppIdClient.html","title":"DynamicComponentAppIdClient","type":"module","doc":"NOTICE: THIS MODULE IS ONLY FOR DOCUMENT. Initialize a WeChat Component client without component_appid configuration, each time when invoke WeChat services need to input the component_appid. This suite is for using elixir_wechat library in the Server side, and can serve multiple accounts dynamically. defmodule WeChat.MyComponentApp do use WeChat.Component end Options: :appid - the appid of wechat third platform application. :scenario - the scenario of initialized client, options: :hub or :client, set as :hub option means it is self-manange access token in the hub, we need to do it when using this library in the Server side, set as :client option means this library sends refresh request to the hub to fetch access token, using :client by default. :adapter_storage - the implements for some items persistence, e.g. access_token, secret_key, component_access_token and etc, when set scenario as :client by default, there will use WeChat.Storage.ComponentDefault by default, if need to override it for yourself, please implement required functions follow WeChat.Adapter.Storage.ComponentClient behaviour module."},{"ref":"DynamicComponentAppIdClient.html#card/3","title":"DynamicComponentAppIdClient.card/3","type":"function","doc":"Perform CARD API(s). card(:get, appid, authorizer_appid) card(:post, appid, authorizer_appid) Send request to URL https://api.weixin.qq.com/card."},{"ref":"DynamicComponentAppIdClient.html#card/4","title":"DynamicComponentAppIdClient.card/4","type":"function","doc":"Perform CARD API(s) card(:get, appid, authorizer_appid, uri_supplement) card(:get, appid, authorizer_appid, query) card(:post, appid, authorizer_appid, uri_supplement) card(:post, appid, authorizer_appid, data) Send request to URL https://api.weixin.qq.com/card. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/card/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: card(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;)"},{"ref":"DynamicComponentAppIdClient.html#card/5","title":"DynamicComponentAppIdClient.card/5","type":"function","doc":"Perform CARD API(s) card(:get, appid, authorizer_appid, uri_supplement, query) card(:post, appid, authorizer_appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/card. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/card/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: card(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;, query) card(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"DynamicComponentAppIdClient.html#card_code/3","title":"DynamicComponentAppIdClient.card_code/3","type":"function","doc":"Perform CARD_CODE API(s). card_code(:get, appid, authorizer_appid) card_code(:post, appid, authorizer_appid) Send request to URL https://api.weixin.qq.com/card/code."},{"ref":"DynamicComponentAppIdClient.html#card_code/4","title":"DynamicComponentAppIdClient.card_code/4","type":"function","doc":"Perform CARD_CODE API(s) card_code(:get, appid, authorizer_appid, uri_supplement) card_code(:get, appid, authorizer_appid, query) card_code(:post, appid, authorizer_appid, uri_supplement) card_code(:post, appid, authorizer_appid, data) Send request to URL https://api.weixin.qq.com/card/code. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/card/code/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: card_code(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;)"},{"ref":"DynamicComponentAppIdClient.html#card_code/5","title":"DynamicComponentAppIdClient.card_code/5","type":"function","doc":"Perform CARD_CODE API(s) card_code(:get, appid, authorizer_appid, uri_supplement, query) card_code(:post, appid, authorizer_appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/card/code. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/card/code/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: card_code(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;, query) card_code(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"DynamicComponentAppIdClient.html#card_user/3","title":"DynamicComponentAppIdClient.card_user/3","type":"function","doc":"Perform CARD_USER API(s). card_user(:get, appid, authorizer_appid) card_user(:post, appid, authorizer_appid) Send request to URL https://api.weixin.qq.com/card/user."},{"ref":"DynamicComponentAppIdClient.html#card_user/4","title":"DynamicComponentAppIdClient.card_user/4","type":"function","doc":"Perform CARD_USER API(s) card_user(:get, appid, authorizer_appid, uri_supplement) card_user(:get, appid, authorizer_appid, query) card_user(:post, appid, authorizer_appid, uri_supplement) card_user(:post, appid, authorizer_appid, data) Send request to URL https://api.weixin.qq.com/card/user. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/card/user/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: card_user(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;)"},{"ref":"DynamicComponentAppIdClient.html#card_user/5","title":"DynamicComponentAppIdClient.card_user/5","type":"function","doc":"Perform CARD_USER API(s) card_user(:get, appid, authorizer_appid, uri_supplement, query) card_user(:post, appid, authorizer_appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/card/user. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/card/user/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: card_user(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;, query) card_user(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"DynamicComponentAppIdClient.html#clean_access_token/3","title":"DynamicComponentAppIdClient.clean_access_token/3","type":"function","doc":""},{"ref":"DynamicComponentAppIdClient.html#component/3","title":"DynamicComponentAppIdClient.component/3","type":"function","doc":"Perform COMPONENT API(s) component(:post, appid, uri_supplement) component(:post, appid, data) Send request to URL https://api.weixin.qq.com/cgi-bin/component. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/component/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: component(:http_verb, appid, :&quot;${uri_supplement}&quot;)"},{"ref":"DynamicComponentAppIdClient.html#component/4","title":"DynamicComponentAppIdClient.component/4","type":"function","doc":"Perform COMPONENT API(s) component(:post, appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/component. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/component/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: component(:http_verb, appid, :&quot;${uri_supplement}&quot;, query) component(:http_verb, appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"DynamicComponentAppIdClient.html#datacube/3","title":"DynamicComponentAppIdClient.datacube/3","type":"function","doc":"Perform DATACUBE API(s). datacube(:get, appid, authorizer_appid) datacube(:post, appid, authorizer_appid) Send request to URL https://api.weixin.qq.com/datacube."},{"ref":"DynamicComponentAppIdClient.html#datacube/4","title":"DynamicComponentAppIdClient.datacube/4","type":"function","doc":"Perform DATACUBE API(s) datacube(:get, appid, authorizer_appid, uri_supplement) datacube(:get, appid, authorizer_appid, query) datacube(:post, appid, authorizer_appid, uri_supplement) datacube(:post, appid, authorizer_appid, data) Send request to URL https://api.weixin.qq.com/datacube. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/datacube/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: datacube(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;)"},{"ref":"DynamicComponentAppIdClient.html#datacube/5","title":"DynamicComponentAppIdClient.datacube/5","type":"function","doc":"Perform DATACUBE API(s) datacube(:get, appid, authorizer_appid, uri_supplement, query) datacube(:post, appid, authorizer_appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/datacube. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/datacube/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: datacube(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;, query) datacube(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"DynamicComponentAppIdClient.html#get_access_token/2","title":"DynamicComponentAppIdClient.get_access_token/2","type":"function","doc":""},{"ref":"DynamicComponentAppIdClient.html#get_component_access_token/1","title":"DynamicComponentAppIdClient.get_component_access_token/1","type":"function","doc":""},{"ref":"DynamicComponentAppIdClient.html#material/3","title":"DynamicComponentAppIdClient.material/3","type":"function","doc":"Perform MATERIAL API(s). material(:get, appid, authorizer_appid) material(:post, appid, authorizer_appid) Send request to URL https://api.weixin.qq.com/cgi-bin/material."},{"ref":"DynamicComponentAppIdClient.html#material/4","title":"DynamicComponentAppIdClient.material/4","type":"function","doc":"Perform MATERIAL API(s) material(:get, appid, authorizer_appid, uri_supplement) material(:get, appid, authorizer_appid, query) material(:post, appid, authorizer_appid, uri_supplement) material(:post, appid, authorizer_appid, data) Send request to URL https://api.weixin.qq.com/cgi-bin/material. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/material/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: material(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;)"},{"ref":"DynamicComponentAppIdClient.html#material/5","title":"DynamicComponentAppIdClient.material/5","type":"function","doc":"Perform MATERIAL API(s) material(:get, appid, authorizer_appid, uri_supplement, query) material(:post, appid, authorizer_appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/material. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/material/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: material(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;, query) material(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"DynamicComponentAppIdClient.html#media/3","title":"DynamicComponentAppIdClient.media/3","type":"function","doc":"Perform MEDIA API(s). media(:get, appid, authorizer_appid) media(:post, appid, authorizer_appid) Send request to URL https://api.weixin.qq.com/cgi-bin/media."},{"ref":"DynamicComponentAppIdClient.html#media/4","title":"DynamicComponentAppIdClient.media/4","type":"function","doc":"Perform MEDIA API(s) media(:get, appid, authorizer_appid, uri_supplement) media(:get, appid, authorizer_appid, query) media(:post, appid, authorizer_appid, uri_supplement) media(:post, appid, authorizer_appid, data) Send request to URL https://api.weixin.qq.com/cgi-bin/media. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/media/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: media(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;)"},{"ref":"DynamicComponentAppIdClient.html#media/5","title":"DynamicComponentAppIdClient.media/5","type":"function","doc":"Perform MEDIA API(s) media(:get, appid, authorizer_appid, uri_supplement, query) media(:post, appid, authorizer_appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/media. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/media/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: media(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;, query) media(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"DynamicComponentAppIdClient.html#menu/3","title":"DynamicComponentAppIdClient.menu/3","type":"function","doc":"Perform MENU API(s). menu(:get, appid, authorizer_appid) menu(:post, appid, authorizer_appid) Send request to URL https://api.weixin.qq.com/cgi-bin/menu."},{"ref":"DynamicComponentAppIdClient.html#menu/4","title":"DynamicComponentAppIdClient.menu/4","type":"function","doc":"Perform MENU API(s) menu(:get, appid, authorizer_appid, uri_supplement) menu(:get, appid, authorizer_appid, query) menu(:post, appid, authorizer_appid, uri_supplement) menu(:post, appid, authorizer_appid, data) Send request to URL https://api.weixin.qq.com/cgi-bin/menu. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/menu/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: menu(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;)"},{"ref":"DynamicComponentAppIdClient.html#menu/5","title":"DynamicComponentAppIdClient.menu/5","type":"function","doc":"Perform MENU API(s) menu(:get, appid, authorizer_appid, uri_supplement, query) menu(:post, appid, authorizer_appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/menu. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/menu/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: menu(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;, query) menu(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"DynamicComponentAppIdClient.html#message_custom/3","title":"DynamicComponentAppIdClient.message_custom/3","type":"function","doc":"Perform MESSAGE_CUSTOM API(s). message_custom(:get, appid, authorizer_appid) message_custom(:post, appid, authorizer_appid) Send request to URL https://api.weixin.qq.com/cgi-bin/message/custom."},{"ref":"DynamicComponentAppIdClient.html#message_custom/4","title":"DynamicComponentAppIdClient.message_custom/4","type":"function","doc":"Perform MESSAGE_CUSTOM API(s) message_custom(:get, appid, authorizer_appid, uri_supplement) message_custom(:get, appid, authorizer_appid, query) message_custom(:post, appid, authorizer_appid, uri_supplement) message_custom(:post, appid, authorizer_appid, data) Send request to URL https://api.weixin.qq.com/cgi-bin/message/custom. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/message/custom/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: message_custom(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;)"},{"ref":"DynamicComponentAppIdClient.html#message_custom/5","title":"DynamicComponentAppIdClient.message_custom/5","type":"function","doc":"Perform MESSAGE_CUSTOM API(s) message_custom(:get, appid, authorizer_appid, uri_supplement, query) message_custom(:post, appid, authorizer_appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/message/custom. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/message/custom/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: message_custom(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;, query) message_custom(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"DynamicComponentAppIdClient.html#message_template/3","title":"DynamicComponentAppIdClient.message_template/3","type":"function","doc":"Perform MESSAGE_TEMPLATE API(s). message_template(:get, appid, authorizer_appid) message_template(:post, appid, authorizer_appid) Send request to URL https://api.weixin.qq.com/cgi-bin/message/template."},{"ref":"DynamicComponentAppIdClient.html#message_template/4","title":"DynamicComponentAppIdClient.message_template/4","type":"function","doc":"Perform MESSAGE_TEMPLATE API(s) message_template(:get, appid, authorizer_appid, uri_supplement) message_template(:get, appid, authorizer_appid, query) message_template(:post, appid, authorizer_appid, uri_supplement) message_template(:post, appid, authorizer_appid, data) Send request to URL https://api.weixin.qq.com/cgi-bin/message/template. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/message/template/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: message_template(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;)"},{"ref":"DynamicComponentAppIdClient.html#message_template/5","title":"DynamicComponentAppIdClient.message_template/5","type":"function","doc":"Perform MESSAGE_TEMPLATE API(s) message_template(:get, appid, authorizer_appid, uri_supplement, query) message_template(:post, appid, authorizer_appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/message/template. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/message/template/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: message_template(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;, query) message_template(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"DynamicComponentAppIdClient.html#poi/3","title":"DynamicComponentAppIdClient.poi/3","type":"function","doc":"Perform POI API(s). poi(:get, appid, authorizer_appid) poi(:post, appid, authorizer_appid) Send request to URL https://api.weixin.qq.com/cgi-bin/poi."},{"ref":"DynamicComponentAppIdClient.html#poi/4","title":"DynamicComponentAppIdClient.poi/4","type":"function","doc":"Perform POI API(s) poi(:get, appid, authorizer_appid, uri_supplement) poi(:get, appid, authorizer_appid, query) poi(:post, appid, authorizer_appid, uri_supplement) poi(:post, appid, authorizer_appid, data) Send request to URL https://api.weixin.qq.com/cgi-bin/poi. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/poi/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: poi(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;)"},{"ref":"DynamicComponentAppIdClient.html#poi/5","title":"DynamicComponentAppIdClient.poi/5","type":"function","doc":"Perform POI API(s) poi(:get, appid, authorizer_appid, uri_supplement, query) poi(:post, appid, authorizer_appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/poi. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/poi/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: poi(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;, query) poi(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"DynamicComponentAppIdClient.html#qrcode/3","title":"DynamicComponentAppIdClient.qrcode/3","type":"function","doc":"Perform QRCODE API(s). qrcode(:get, appid, authorizer_appid) qrcode(:post, appid, authorizer_appid) Send request to URL https://api.weixin.qq.com/cgi-bin/qrcode."},{"ref":"DynamicComponentAppIdClient.html#qrcode/4","title":"DynamicComponentAppIdClient.qrcode/4","type":"function","doc":"Perform QRCODE API(s) qrcode(:get, appid, authorizer_appid, uri_supplement) qrcode(:get, appid, authorizer_appid, query) qrcode(:post, appid, authorizer_appid, uri_supplement) qrcode(:post, appid, authorizer_appid, data) Send request to URL https://api.weixin.qq.com/cgi-bin/qrcode. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/qrcode/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: qrcode(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;)"},{"ref":"DynamicComponentAppIdClient.html#qrcode/5","title":"DynamicComponentAppIdClient.qrcode/5","type":"function","doc":"Perform QRCODE API(s) qrcode(:get, appid, authorizer_appid, uri_supplement, query) qrcode(:post, appid, authorizer_appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/qrcode. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/qrcode/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: qrcode(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;, query) qrcode(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"DynamicComponentAppIdClient.html#shorturl/4","title":"DynamicComponentAppIdClient.shorturl/4","type":"function","doc":"Perform SHORTURL API(s) shorturl(:post, appid, authorizer_appid, uri_supplement) shorturl(:post, appid, authorizer_appid, data) Send request to URL https://api.weixin.qq.com/cgi-bin/shorturl. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/shorturl/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: shorturl(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;)"},{"ref":"DynamicComponentAppIdClient.html#shorturl/5","title":"DynamicComponentAppIdClient.shorturl/5","type":"function","doc":"Perform SHORTURL API(s) shorturl(:post, appid, authorizer_appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/shorturl. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/shorturl/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: shorturl(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;, query) shorturl(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"DynamicComponentAppIdClient.html#showqrcode/3","title":"DynamicComponentAppIdClient.showqrcode/3","type":"function","doc":"Perform SHOWQRCODE API(s). showqrcode(:get, appid, authorizer_appid) Send request to URL https://mp.weixin.qq.com/cgi-bin/showqrcode."},{"ref":"DynamicComponentAppIdClient.html#showqrcode/4","title":"DynamicComponentAppIdClient.showqrcode/4","type":"function","doc":"Perform SHOWQRCODE API(s) showqrcode(:get, appid, authorizer_appid, uri_supplement) showqrcode(:get, appid, authorizer_appid, query) Send request to URL https://mp.weixin.qq.com/cgi-bin/showqrcode. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://mp.weixin.qq.com/cgi-bin/showqrcode/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: showqrcode(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;)"},{"ref":"DynamicComponentAppIdClient.html#showqrcode/5","title":"DynamicComponentAppIdClient.showqrcode/5","type":"function","doc":"Perform SHOWQRCODE API(s) showqrcode(:get, appid, authorizer_appid, uri_supplement, query) Send request to URL https://mp.weixin.qq.com/cgi-bin/showqrcode. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://mp.weixin.qq.com/cgi-bin/showqrcode/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: showqrcode(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;, query) showqrcode(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"DynamicComponentAppIdClient.html#tags/3","title":"DynamicComponentAppIdClient.tags/3","type":"function","doc":"Perform TAGS API(s). tags(:get, appid, authorizer_appid) tags(:post, appid, authorizer_appid) Send request to URL https://api.weixin.qq.com/cgi-bin/tags."},{"ref":"DynamicComponentAppIdClient.html#tags/4","title":"DynamicComponentAppIdClient.tags/4","type":"function","doc":"Perform TAGS API(s) tags(:get, appid, authorizer_appid, uri_supplement) tags(:get, appid, authorizer_appid, query) tags(:post, appid, authorizer_appid, uri_supplement) tags(:post, appid, authorizer_appid, data) Send request to URL https://api.weixin.qq.com/cgi-bin/tags. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/tags/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: tags(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;)"},{"ref":"DynamicComponentAppIdClient.html#tags/5","title":"DynamicComponentAppIdClient.tags/5","type":"function","doc":"Perform TAGS API(s) tags(:get, appid, authorizer_appid, uri_supplement, query) tags(:post, appid, authorizer_appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/tags. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/tags/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: tags(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;, query) tags(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"DynamicComponentAppIdClient.html#template/3","title":"DynamicComponentAppIdClient.template/3","type":"function","doc":"Perform TEMPLATE API(s). template(:get, appid, authorizer_appid) template(:post, appid, authorizer_appid) Send request to URL https://api.weixin.qq.com/cgi-bin/template."},{"ref":"DynamicComponentAppIdClient.html#template/4","title":"DynamicComponentAppIdClient.template/4","type":"function","doc":"Perform TEMPLATE API(s) template(:get, appid, authorizer_appid, uri_supplement) template(:get, appid, authorizer_appid, query) template(:post, appid, authorizer_appid, uri_supplement) template(:post, appid, authorizer_appid, data) Send request to URL https://api.weixin.qq.com/cgi-bin/template. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/template/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: template(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;)"},{"ref":"DynamicComponentAppIdClient.html#template/5","title":"DynamicComponentAppIdClient.template/5","type":"function","doc":"Perform TEMPLATE API(s) template(:get, appid, authorizer_appid, uri_supplement, query) template(:post, appid, authorizer_appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/template. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/template/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: template(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;, query) template(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"DynamicComponentAppIdClient.html#user/3","title":"DynamicComponentAppIdClient.user/3","type":"function","doc":"Perform USER API(s). user(:get, appid, authorizer_appid) user(:post, appid, authorizer_appid) Send request to URL https://api.weixin.qq.com/cgi-bin/user."},{"ref":"DynamicComponentAppIdClient.html#user/4","title":"DynamicComponentAppIdClient.user/4","type":"function","doc":"Perform USER API(s) user(:get, appid, authorizer_appid, uri_supplement) user(:get, appid, authorizer_appid, query) user(:post, appid, authorizer_appid, uri_supplement) user(:post, appid, authorizer_appid, data) Send request to URL https://api.weixin.qq.com/cgi-bin/user. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/user/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: user(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;)"},{"ref":"DynamicComponentAppIdClient.html#user/5","title":"DynamicComponentAppIdClient.user/5","type":"function","doc":"Perform USER API(s) user(:get, appid, authorizer_appid, uri_supplement, query) user(:post, appid, authorizer_appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/user. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/user/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: user(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;, query) user(:http_verb, appid, authorizer_appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"GlobalAppIdClient.html","title":"GlobalAppIdClient","type":"module","doc":"NOTICE: THIS MODULE IS ONLY FOR DOCUMENT. Initialize a WeChat client and config with appid globally. This suite is for using elixir_wechat library in the Client side. defmodule WeChat.MyApp do use WeChat, appid: &quot;MY_APPID&quot; end Options: :appid - the appid of wechat official account. :scenario - the scenario of initialized client, options: :hub or :client, set as :hub option means it is self-manange access token in the hub, we need to do it when using this library in the Server side, set as :client option means this library sends refresh request to the hub to fetch valid access token, using :client by default. :adapter_storage - the implements for some items persistence, e.g. access_token, secret_key and etc, when set scenario as :client by default, there will use WeChat.Storage.Default by default, if need to override it for yourself, please implement required functions follow WeChat.Adapter.Storage.Client behaviour module."},{"ref":"GlobalAppIdClient.html#card/1","title":"GlobalAppIdClient.card/1","type":"function","doc":"Perform CARD API(s) card(:get) card(:post) Send request to URL https://api.weixin.qq.com/card."},{"ref":"GlobalAppIdClient.html#card/2","title":"GlobalAppIdClient.card/2","type":"function","doc":"Perform CARD API(s) card(:get, uri_supplement) card(:get, query) card(:post, uri_supplement) card(:post, data) Send request to URL https://api.weixin.qq.com/card. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/card/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: card(:http_verb, :&quot;${uri_supplement}&quot;)"},{"ref":"GlobalAppIdClient.html#card/3","title":"GlobalAppIdClient.card/3","type":"function","doc":"Perform CARD API(s) card(:get, uri_supplement, query) card(:post, uri_supplement, data) Send request to URL https://api.weixin.qq.com/card. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/card/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: card(:http_verb, :&quot;${uri_supplement}&quot;, query) card(:http_verb, :&quot;${uri_supplement}&quot;, data)"},{"ref":"GlobalAppIdClient.html#card_code/1","title":"GlobalAppIdClient.card_code/1","type":"function","doc":"Perform CARD_CODE API(s) card_code(:get) card_code(:post) Send request to URL https://api.weixin.qq.com/card/code."},{"ref":"GlobalAppIdClient.html#card_code/2","title":"GlobalAppIdClient.card_code/2","type":"function","doc":"Perform CARD_CODE API(s) card_code(:get, uri_supplement) card_code(:get, query) card_code(:post, uri_supplement) card_code(:post, data) Send request to URL https://api.weixin.qq.com/card/code. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/card/code/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: card_code(:http_verb, :&quot;${uri_supplement}&quot;)"},{"ref":"GlobalAppIdClient.html#card_code/3","title":"GlobalAppIdClient.card_code/3","type":"function","doc":"Perform CARD_CODE API(s) card_code(:get, uri_supplement, query) card_code(:post, uri_supplement, data) Send request to URL https://api.weixin.qq.com/card/code. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/card/code/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: card_code(:http_verb, :&quot;${uri_supplement}&quot;, query) card_code(:http_verb, :&quot;${uri_supplement}&quot;, data)"},{"ref":"GlobalAppIdClient.html#card_user/1","title":"GlobalAppIdClient.card_user/1","type":"function","doc":"Perform CARD_USER API(s) card_user(:get) card_user(:post) Send request to URL https://api.weixin.qq.com/card/user."},{"ref":"GlobalAppIdClient.html#card_user/2","title":"GlobalAppIdClient.card_user/2","type":"function","doc":"Perform CARD_USER API(s) card_user(:get, uri_supplement) card_user(:get, query) card_user(:post, uri_supplement) card_user(:post, data) Send request to URL https://api.weixin.qq.com/card/user. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/card/user/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: card_user(:http_verb, :&quot;${uri_supplement}&quot;)"},{"ref":"GlobalAppIdClient.html#card_user/3","title":"GlobalAppIdClient.card_user/3","type":"function","doc":"Perform CARD_USER API(s) card_user(:get, uri_supplement, query) card_user(:post, uri_supplement, data) Send request to URL https://api.weixin.qq.com/card/user. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/card/user/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: card_user(:http_verb, :&quot;${uri_supplement}&quot;, query) card_user(:http_verb, :&quot;${uri_supplement}&quot;, data)"},{"ref":"GlobalAppIdClient.html#clean_access_token/1","title":"GlobalAppIdClient.clean_access_token/1","type":"function","doc":""},{"ref":"GlobalAppIdClient.html#datacube/1","title":"GlobalAppIdClient.datacube/1","type":"function","doc":"Perform DATACUBE API(s) datacube(:get) datacube(:post) Send request to URL https://api.weixin.qq.com/datacube."},{"ref":"GlobalAppIdClient.html#datacube/2","title":"GlobalAppIdClient.datacube/2","type":"function","doc":"Perform DATACUBE API(s) datacube(:get, uri_supplement) datacube(:get, query) datacube(:post, uri_supplement) datacube(:post, data) Send request to URL https://api.weixin.qq.com/datacube. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/datacube/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: datacube(:http_verb, :&quot;${uri_supplement}&quot;)"},{"ref":"GlobalAppIdClient.html#datacube/3","title":"GlobalAppIdClient.datacube/3","type":"function","doc":"Perform DATACUBE API(s) datacube(:get, uri_supplement, query) datacube(:post, uri_supplement, data) Send request to URL https://api.weixin.qq.com/datacube. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/datacube/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: datacube(:http_verb, :&quot;${uri_supplement}&quot;, query) datacube(:http_verb, :&quot;${uri_supplement}&quot;, data)"},{"ref":"GlobalAppIdClient.html#get_access_token/0","title":"GlobalAppIdClient.get_access_token/0","type":"function","doc":""},{"ref":"GlobalAppIdClient.html#material/1","title":"GlobalAppIdClient.material/1","type":"function","doc":"Perform MATERIAL API(s) material(:get) material(:post) Send request to URL https://api.weixin.qq.com/cgi-bin/material."},{"ref":"GlobalAppIdClient.html#material/2","title":"GlobalAppIdClient.material/2","type":"function","doc":"Perform MATERIAL API(s) material(:get, uri_supplement) material(:get, query) material(:post, uri_supplement) material(:post, data) Send request to URL https://api.weixin.qq.com/cgi-bin/material. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/material/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: material(:http_verb, :&quot;${uri_supplement}&quot;)"},{"ref":"GlobalAppIdClient.html#material/3","title":"GlobalAppIdClient.material/3","type":"function","doc":"Perform MATERIAL API(s) material(:get, uri_supplement, query) material(:post, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/material. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/material/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: material(:http_verb, :&quot;${uri_supplement}&quot;, query) material(:http_verb, :&quot;${uri_supplement}&quot;, data)"},{"ref":"GlobalAppIdClient.html#media/1","title":"GlobalAppIdClient.media/1","type":"function","doc":"Perform MEDIA API(s) media(:get) media(:post) Send request to URL https://api.weixin.qq.com/cgi-bin/media."},{"ref":"GlobalAppIdClient.html#media/2","title":"GlobalAppIdClient.media/2","type":"function","doc":"Perform MEDIA API(s) media(:get, uri_supplement) media(:get, query) media(:post, uri_supplement) media(:post, data) Send request to URL https://api.weixin.qq.com/cgi-bin/media. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/media/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: media(:http_verb, :&quot;${uri_supplement}&quot;)"},{"ref":"GlobalAppIdClient.html#media/3","title":"GlobalAppIdClient.media/3","type":"function","doc":"Perform MEDIA API(s) media(:get, uri_supplement, query) media(:post, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/media. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/media/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: media(:http_verb, :&quot;${uri_supplement}&quot;, query) media(:http_verb, :&quot;${uri_supplement}&quot;, data)"},{"ref":"GlobalAppIdClient.html#menu/1","title":"GlobalAppIdClient.menu/1","type":"function","doc":"Perform MENU API(s) menu(:get) menu(:post) Send request to URL https://api.weixin.qq.com/cgi-bin/menu."},{"ref":"GlobalAppIdClient.html#menu/2","title":"GlobalAppIdClient.menu/2","type":"function","doc":"Perform MENU API(s) menu(:get, uri_supplement) menu(:get, query) menu(:post, uri_supplement) menu(:post, data) Send request to URL https://api.weixin.qq.com/cgi-bin/menu. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/menu/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: menu(:http_verb, :&quot;${uri_supplement}&quot;)"},{"ref":"GlobalAppIdClient.html#menu/3","title":"GlobalAppIdClient.menu/3","type":"function","doc":"Perform MENU API(s) menu(:get, uri_supplement, query) menu(:post, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/menu. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/menu/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: menu(:http_verb, :&quot;${uri_supplement}&quot;, query) menu(:http_verb, :&quot;${uri_supplement}&quot;, data)"},{"ref":"GlobalAppIdClient.html#message_custom/1","title":"GlobalAppIdClient.message_custom/1","type":"function","doc":"Perform MESSAGE_CUSTOM API(s) message_custom(:get) message_custom(:post) Send request to URL https://api.weixin.qq.com/cgi-bin/message/custom."},{"ref":"GlobalAppIdClient.html#message_custom/2","title":"GlobalAppIdClient.message_custom/2","type":"function","doc":"Perform MESSAGE_CUSTOM API(s) message_custom(:get, uri_supplement) message_custom(:get, query) message_custom(:post, uri_supplement) message_custom(:post, data) Send request to URL https://api.weixin.qq.com/cgi-bin/message/custom. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/message/custom/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: message_custom(:http_verb, :&quot;${uri_supplement}&quot;)"},{"ref":"GlobalAppIdClient.html#message_custom/3","title":"GlobalAppIdClient.message_custom/3","type":"function","doc":"Perform MESSAGE_CUSTOM API(s) message_custom(:get, uri_supplement, query) message_custom(:post, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/message/custom. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/message/custom/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: message_custom(:http_verb, :&quot;${uri_supplement}&quot;, query) message_custom(:http_verb, :&quot;${uri_supplement}&quot;, data)"},{"ref":"GlobalAppIdClient.html#message_template/1","title":"GlobalAppIdClient.message_template/1","type":"function","doc":"Perform MESSAGE_TEMPLATE API(s) message_template(:get) message_template(:post) Send request to URL https://api.weixin.qq.com/cgi-bin/message/template."},{"ref":"GlobalAppIdClient.html#message_template/2","title":"GlobalAppIdClient.message_template/2","type":"function","doc":"Perform MESSAGE_TEMPLATE API(s) message_template(:get, uri_supplement) message_template(:get, query) message_template(:post, uri_supplement) message_template(:post, data) Send request to URL https://api.weixin.qq.com/cgi-bin/message/template. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/message/template/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: message_template(:http_verb, :&quot;${uri_supplement}&quot;)"},{"ref":"GlobalAppIdClient.html#message_template/3","title":"GlobalAppIdClient.message_template/3","type":"function","doc":"Perform MESSAGE_TEMPLATE API(s) message_template(:get, uri_supplement, query) message_template(:post, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/message/template. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/message/template/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: message_template(:http_verb, :&quot;${uri_supplement}&quot;, query) message_template(:http_verb, :&quot;${uri_supplement}&quot;, data)"},{"ref":"GlobalAppIdClient.html#poi/1","title":"GlobalAppIdClient.poi/1","type":"function","doc":"Perform POI API(s) poi(:get) poi(:post) Send request to URL https://api.weixin.qq.com/cgi-bin/poi."},{"ref":"GlobalAppIdClient.html#poi/2","title":"GlobalAppIdClient.poi/2","type":"function","doc":"Perform POI API(s) poi(:get, uri_supplement) poi(:get, query) poi(:post, uri_supplement) poi(:post, data) Send request to URL https://api.weixin.qq.com/cgi-bin/poi. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/poi/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: poi(:http_verb, :&quot;${uri_supplement}&quot;)"},{"ref":"GlobalAppIdClient.html#poi/3","title":"GlobalAppIdClient.poi/3","type":"function","doc":"Perform POI API(s) poi(:get, uri_supplement, query) poi(:post, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/poi. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/poi/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: poi(:http_verb, :&quot;${uri_supplement}&quot;, query) poi(:http_verb, :&quot;${uri_supplement}&quot;, data)"},{"ref":"GlobalAppIdClient.html#qrcode/1","title":"GlobalAppIdClient.qrcode/1","type":"function","doc":"Perform QRCODE API(s) qrcode(:get) qrcode(:post) Send request to URL https://api.weixin.qq.com/cgi-bin/qrcode."},{"ref":"GlobalAppIdClient.html#qrcode/2","title":"GlobalAppIdClient.qrcode/2","type":"function","doc":"Perform QRCODE API(s) qrcode(:get, uri_supplement) qrcode(:get, query) qrcode(:post, uri_supplement) qrcode(:post, data) Send request to URL https://api.weixin.qq.com/cgi-bin/qrcode. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/qrcode/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: qrcode(:http_verb, :&quot;${uri_supplement}&quot;)"},{"ref":"GlobalAppIdClient.html#qrcode/3","title":"GlobalAppIdClient.qrcode/3","type":"function","doc":"Perform QRCODE API(s) qrcode(:get, uri_supplement, query) qrcode(:post, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/qrcode. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/qrcode/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: qrcode(:http_verb, :&quot;${uri_supplement}&quot;, query) qrcode(:http_verb, :&quot;${uri_supplement}&quot;, data)"},{"ref":"GlobalAppIdClient.html#shorturl/2","title":"GlobalAppIdClient.shorturl/2","type":"function","doc":"Perform SHORTURL API(s) shorturl(:post, uri_supplement) shorturl(:post, data) Send request to URL https://api.weixin.qq.com/cgi-bin/shorturl. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/shorturl/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: shorturl(:http_verb, :&quot;${uri_supplement}&quot;)"},{"ref":"GlobalAppIdClient.html#shorturl/3","title":"GlobalAppIdClient.shorturl/3","type":"function","doc":"Perform SHORTURL API(s) shorturl(:post, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/shorturl. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/shorturl/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: shorturl(:http_verb, :&quot;${uri_supplement}&quot;, query) shorturl(:http_verb, :&quot;${uri_supplement}&quot;, data)"},{"ref":"GlobalAppIdClient.html#showqrcode/1","title":"GlobalAppIdClient.showqrcode/1","type":"function","doc":"Perform SHOWQRCODE API(s) showqrcode(:get) Send request to URL https://mp.weixin.qq.com/cgi-bin/showqrcode."},{"ref":"GlobalAppIdClient.html#showqrcode/2","title":"GlobalAppIdClient.showqrcode/2","type":"function","doc":"Perform SHOWQRCODE API(s) showqrcode(:get, uri_supplement) showqrcode(:get, query) Send request to URL https://mp.weixin.qq.com/cgi-bin/showqrcode. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://mp.weixin.qq.com/cgi-bin/showqrcode/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: showqrcode(:http_verb, :&quot;${uri_supplement}&quot;)"},{"ref":"GlobalAppIdClient.html#showqrcode/3","title":"GlobalAppIdClient.showqrcode/3","type":"function","doc":"Perform SHOWQRCODE API(s) showqrcode(:get, uri_supplement, query) Send request to URL https://mp.weixin.qq.com/cgi-bin/showqrcode. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://mp.weixin.qq.com/cgi-bin/showqrcode/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: showqrcode(:http_verb, :&quot;${uri_supplement}&quot;, query) showqrcode(:http_verb, :&quot;${uri_supplement}&quot;, data)"},{"ref":"GlobalAppIdClient.html#tags/1","title":"GlobalAppIdClient.tags/1","type":"function","doc":"Perform TAGS API(s) tags(:get) tags(:post) Send request to URL https://api.weixin.qq.com/cgi-bin/tags."},{"ref":"GlobalAppIdClient.html#tags/2","title":"GlobalAppIdClient.tags/2","type":"function","doc":"Perform TAGS API(s) tags(:get, uri_supplement) tags(:get, query) tags(:post, uri_supplement) tags(:post, data) Send request to URL https://api.weixin.qq.com/cgi-bin/tags. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/tags/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: tags(:http_verb, :&quot;${uri_supplement}&quot;)"},{"ref":"GlobalAppIdClient.html#tags/3","title":"GlobalAppIdClient.tags/3","type":"function","doc":"Perform TAGS API(s) tags(:get, uri_supplement, query) tags(:post, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/tags. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/tags/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: tags(:http_verb, :&quot;${uri_supplement}&quot;, query) tags(:http_verb, :&quot;${uri_supplement}&quot;, data)"},{"ref":"GlobalAppIdClient.html#template/1","title":"GlobalAppIdClient.template/1","type":"function","doc":"Perform TEMPLATE API(s) template(:get) template(:post) Send request to URL https://api.weixin.qq.com/cgi-bin/template."},{"ref":"GlobalAppIdClient.html#template/2","title":"GlobalAppIdClient.template/2","type":"function","doc":"Perform TEMPLATE API(s) template(:get, uri_supplement) template(:get, query) template(:post, uri_supplement) template(:post, data) Send request to URL https://api.weixin.qq.com/cgi-bin/template. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/template/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: template(:http_verb, :&quot;${uri_supplement}&quot;)"},{"ref":"GlobalAppIdClient.html#template/3","title":"GlobalAppIdClient.template/3","type":"function","doc":"Perform TEMPLATE API(s) template(:get, uri_supplement, query) template(:post, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/template. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/template/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: template(:http_verb, :&quot;${uri_supplement}&quot;, query) template(:http_verb, :&quot;${uri_supplement}&quot;, data)"},{"ref":"GlobalAppIdClient.html#user/1","title":"GlobalAppIdClient.user/1","type":"function","doc":"Perform USER API(s) user(:get) user(:post) Send request to URL https://api.weixin.qq.com/cgi-bin/user."},{"ref":"GlobalAppIdClient.html#user/2","title":"GlobalAppIdClient.user/2","type":"function","doc":"Perform USER API(s) user(:get, uri_supplement) user(:get, query) user(:post, uri_supplement) user(:post, data) Send request to URL https://api.weixin.qq.com/cgi-bin/user. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/user/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: user(:http_verb, :&quot;${uri_supplement}&quot;)"},{"ref":"GlobalAppIdClient.html#user/3","title":"GlobalAppIdClient.user/3","type":"function","doc":"Perform USER API(s) user(:get, uri_supplement, query) user(:post, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/user. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/user/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: user(:http_verb, :&quot;${uri_supplement}&quot;, query) user(:http_verb, :&quot;${uri_supplement}&quot;, data)"},{"ref":"GlobalComponentAppIdClient.html","title":"GlobalComponentAppIdClient","type":"module","doc":"NOTICE: THIS MODULE IS ONLY FOR DOCUMENT. Initialize a WeChat Component client and config with component_appid globally. This suite is for using elixir_wechat library in the Client side. defmodule WeChat.MyComponentApp do use WeChat.Component, appid: &quot;MY_COMPONENT_APPID&quot; end Options: :appid - the appid of wechat 3rd-party platform application. :scenario - the scenario of initialized client, options: :hub or :client, set as :hub option means it is self-manange access token in the hub, we need to do it when using this library in the Server side, set as :client option means this library sends refresh request to the hub to fetch valid access token of authorizer, using :client by default. :adapter_storage - the implements for some items persistence, e.g. access_token, secret_key, component_access_token and etc, when set scenario as :client by default, there will use WeChat.Storage.ComponentDefault by default, if need to override it for yourself, please implement required functions follow WeChat.Adapter.Storage.ComponentClient behaviour module."},{"ref":"GlobalComponentAppIdClient.html#card/2","title":"GlobalComponentAppIdClient.card/2","type":"function","doc":"Perform CARD API(s) card(:get, authorizer_appid) card(:post, authorizer_appid) Send request to URL https://api.weixin.qq.com/card."},{"ref":"GlobalComponentAppIdClient.html#card/3","title":"GlobalComponentAppIdClient.card/3","type":"function","doc":"Perform CARD API(s) card(:get, authorizer_appid, uri_supplement) card(:get, authorizer_appid, query) card(:post, authorizer_appid, uri_supplement) card(:post, authorizer_appid, data) Send request to URL https://api.weixin.qq.com/card. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/card/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: card(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;)"},{"ref":"GlobalComponentAppIdClient.html#card/4","title":"GlobalComponentAppIdClient.card/4","type":"function","doc":"Perform CARD API(s) card(:get, authorizer_appid, uri_supplement, query) card(:post, authorizer_appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/card. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/card/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: card(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;, query) card(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"GlobalComponentAppIdClient.html#card_code/2","title":"GlobalComponentAppIdClient.card_code/2","type":"function","doc":"Perform CARD_CODE API(s) card_code(:get, authorizer_appid) card_code(:post, authorizer_appid) Send request to URL https://api.weixin.qq.com/card/code."},{"ref":"GlobalComponentAppIdClient.html#card_code/3","title":"GlobalComponentAppIdClient.card_code/3","type":"function","doc":"Perform CARD_CODE API(s) card_code(:get, authorizer_appid, uri_supplement) card_code(:get, authorizer_appid, query) card_code(:post, authorizer_appid, uri_supplement) card_code(:post, authorizer_appid, data) Send request to URL https://api.weixin.qq.com/card/code. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/card/code/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: card_code(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;)"},{"ref":"GlobalComponentAppIdClient.html#card_code/4","title":"GlobalComponentAppIdClient.card_code/4","type":"function","doc":"Perform CARD_CODE API(s) card_code(:get, authorizer_appid, uri_supplement, query) card_code(:post, authorizer_appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/card/code. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/card/code/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: card_code(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;, query) card_code(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"GlobalComponentAppIdClient.html#card_user/2","title":"GlobalComponentAppIdClient.card_user/2","type":"function","doc":"Perform CARD_USER API(s) card_user(:get, authorizer_appid) card_user(:post, authorizer_appid) Send request to URL https://api.weixin.qq.com/card/user."},{"ref":"GlobalComponentAppIdClient.html#card_user/3","title":"GlobalComponentAppIdClient.card_user/3","type":"function","doc":"Perform CARD_USER API(s) card_user(:get, authorizer_appid, uri_supplement) card_user(:get, authorizer_appid, query) card_user(:post, authorizer_appid, uri_supplement) card_user(:post, authorizer_appid, data) Send request to URL https://api.weixin.qq.com/card/user. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/card/user/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: card_user(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;)"},{"ref":"GlobalComponentAppIdClient.html#card_user/4","title":"GlobalComponentAppIdClient.card_user/4","type":"function","doc":"Perform CARD_USER API(s) card_user(:get, authorizer_appid, uri_supplement, query) card_user(:post, authorizer_appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/card/user. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/card/user/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: card_user(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;, query) card_user(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"GlobalComponentAppIdClient.html#clean_access_token/2","title":"GlobalComponentAppIdClient.clean_access_token/2","type":"function","doc":""},{"ref":"GlobalComponentAppIdClient.html#component/2","title":"GlobalComponentAppIdClient.component/2","type":"function","doc":"Perform COMPONENT API(s) component(:post, uri_supplement) component(:post, data) Send request to URL https://api.weixin.qq.com/cgi-bin/component. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/component/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: component(:http_verb, :&quot;${uri_supplement}&quot;)"},{"ref":"GlobalComponentAppIdClient.html#component/3","title":"GlobalComponentAppIdClient.component/3","type":"function","doc":"Perform COMPONENT API(s) component(:post, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/component. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/component/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: component(:http_verb, :&quot;${uri_supplement}&quot;, query) component(:http_verb, :&quot;${uri_supplement}&quot;, data)"},{"ref":"GlobalComponentAppIdClient.html#datacube/2","title":"GlobalComponentAppIdClient.datacube/2","type":"function","doc":"Perform DATACUBE API(s) datacube(:get, authorizer_appid) datacube(:post, authorizer_appid) Send request to URL https://api.weixin.qq.com/datacube."},{"ref":"GlobalComponentAppIdClient.html#datacube/3","title":"GlobalComponentAppIdClient.datacube/3","type":"function","doc":"Perform DATACUBE API(s) datacube(:get, authorizer_appid, uri_supplement) datacube(:get, authorizer_appid, query) datacube(:post, authorizer_appid, uri_supplement) datacube(:post, authorizer_appid, data) Send request to URL https://api.weixin.qq.com/datacube. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/datacube/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: datacube(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;)"},{"ref":"GlobalComponentAppIdClient.html#datacube/4","title":"GlobalComponentAppIdClient.datacube/4","type":"function","doc":"Perform DATACUBE API(s) datacube(:get, authorizer_appid, uri_supplement, query) datacube(:post, authorizer_appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/datacube. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/datacube/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: datacube(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;, query) datacube(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"GlobalComponentAppIdClient.html#get_access_token/1","title":"GlobalComponentAppIdClient.get_access_token/1","type":"function","doc":""},{"ref":"GlobalComponentAppIdClient.html#get_component_access_token/0","title":"GlobalComponentAppIdClient.get_component_access_token/0","type":"function","doc":""},{"ref":"GlobalComponentAppIdClient.html#material/2","title":"GlobalComponentAppIdClient.material/2","type":"function","doc":"Perform MATERIAL API(s) material(:get, authorizer_appid) material(:post, authorizer_appid) Send request to URL https://api.weixin.qq.com/cgi-bin/material."},{"ref":"GlobalComponentAppIdClient.html#material/3","title":"GlobalComponentAppIdClient.material/3","type":"function","doc":"Perform MATERIAL API(s) material(:get, authorizer_appid, uri_supplement) material(:get, authorizer_appid, query) material(:post, authorizer_appid, uri_supplement) material(:post, authorizer_appid, data) Send request to URL https://api.weixin.qq.com/cgi-bin/material. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/material/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: material(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;)"},{"ref":"GlobalComponentAppIdClient.html#material/4","title":"GlobalComponentAppIdClient.material/4","type":"function","doc":"Perform MATERIAL API(s) material(:get, authorizer_appid, uri_supplement, query) material(:post, authorizer_appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/material. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/material/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: material(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;, query) material(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"GlobalComponentAppIdClient.html#media/2","title":"GlobalComponentAppIdClient.media/2","type":"function","doc":"Perform MEDIA API(s) media(:get, authorizer_appid) media(:post, authorizer_appid) Send request to URL https://api.weixin.qq.com/cgi-bin/media."},{"ref":"GlobalComponentAppIdClient.html#media/3","title":"GlobalComponentAppIdClient.media/3","type":"function","doc":"Perform MEDIA API(s) media(:get, authorizer_appid, uri_supplement) media(:get, authorizer_appid, query) media(:post, authorizer_appid, uri_supplement) media(:post, authorizer_appid, data) Send request to URL https://api.weixin.qq.com/cgi-bin/media. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/media/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: media(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;)"},{"ref":"GlobalComponentAppIdClient.html#media/4","title":"GlobalComponentAppIdClient.media/4","type":"function","doc":"Perform MEDIA API(s) media(:get, authorizer_appid, uri_supplement, query) media(:post, authorizer_appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/media. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/media/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: media(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;, query) media(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"GlobalComponentAppIdClient.html#menu/2","title":"GlobalComponentAppIdClient.menu/2","type":"function","doc":"Perform MENU API(s) menu(:get, authorizer_appid) menu(:post, authorizer_appid) Send request to URL https://api.weixin.qq.com/cgi-bin/menu."},{"ref":"GlobalComponentAppIdClient.html#menu/3","title":"GlobalComponentAppIdClient.menu/3","type":"function","doc":"Perform MENU API(s) menu(:get, authorizer_appid, uri_supplement) menu(:get, authorizer_appid, query) menu(:post, authorizer_appid, uri_supplement) menu(:post, authorizer_appid, data) Send request to URL https://api.weixin.qq.com/cgi-bin/menu. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/menu/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: menu(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;)"},{"ref":"GlobalComponentAppIdClient.html#menu/4","title":"GlobalComponentAppIdClient.menu/4","type":"function","doc":"Perform MENU API(s) menu(:get, authorizer_appid, uri_supplement, query) menu(:post, authorizer_appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/menu. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/menu/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: menu(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;, query) menu(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"GlobalComponentAppIdClient.html#message_custom/2","title":"GlobalComponentAppIdClient.message_custom/2","type":"function","doc":"Perform MESSAGE_CUSTOM API(s) message_custom(:get, authorizer_appid) message_custom(:post, authorizer_appid) Send request to URL https://api.weixin.qq.com/cgi-bin/message/custom."},{"ref":"GlobalComponentAppIdClient.html#message_custom/3","title":"GlobalComponentAppIdClient.message_custom/3","type":"function","doc":"Perform MESSAGE_CUSTOM API(s) message_custom(:get, authorizer_appid, uri_supplement) message_custom(:get, authorizer_appid, query) message_custom(:post, authorizer_appid, uri_supplement) message_custom(:post, authorizer_appid, data) Send request to URL https://api.weixin.qq.com/cgi-bin/message/custom. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/message/custom/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: message_custom(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;)"},{"ref":"GlobalComponentAppIdClient.html#message_custom/4","title":"GlobalComponentAppIdClient.message_custom/4","type":"function","doc":"Perform MESSAGE_CUSTOM API(s) message_custom(:get, authorizer_appid, uri_supplement, query) message_custom(:post, authorizer_appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/message/custom. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/message/custom/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: message_custom(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;, query) message_custom(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"GlobalComponentAppIdClient.html#message_template/2","title":"GlobalComponentAppIdClient.message_template/2","type":"function","doc":"Perform MESSAGE_TEMPLATE API(s) message_template(:get, authorizer_appid) message_template(:post, authorizer_appid) Send request to URL https://api.weixin.qq.com/cgi-bin/message/template."},{"ref":"GlobalComponentAppIdClient.html#message_template/3","title":"GlobalComponentAppIdClient.message_template/3","type":"function","doc":"Perform MESSAGE_TEMPLATE API(s) message_template(:get, authorizer_appid, uri_supplement) message_template(:get, authorizer_appid, query) message_template(:post, authorizer_appid, uri_supplement) message_template(:post, authorizer_appid, data) Send request to URL https://api.weixin.qq.com/cgi-bin/message/template. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/message/template/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: message_template(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;)"},{"ref":"GlobalComponentAppIdClient.html#message_template/4","title":"GlobalComponentAppIdClient.message_template/4","type":"function","doc":"Perform MESSAGE_TEMPLATE API(s) message_template(:get, authorizer_appid, uri_supplement, query) message_template(:post, authorizer_appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/message/template. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/message/template/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: message_template(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;, query) message_template(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"GlobalComponentAppIdClient.html#poi/2","title":"GlobalComponentAppIdClient.poi/2","type":"function","doc":"Perform POI API(s) poi(:get, authorizer_appid) poi(:post, authorizer_appid) Send request to URL https://api.weixin.qq.com/cgi-bin/poi."},{"ref":"GlobalComponentAppIdClient.html#poi/3","title":"GlobalComponentAppIdClient.poi/3","type":"function","doc":"Perform POI API(s) poi(:get, authorizer_appid, uri_supplement) poi(:get, authorizer_appid, query) poi(:post, authorizer_appid, uri_supplement) poi(:post, authorizer_appid, data) Send request to URL https://api.weixin.qq.com/cgi-bin/poi. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/poi/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: poi(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;)"},{"ref":"GlobalComponentAppIdClient.html#poi/4","title":"GlobalComponentAppIdClient.poi/4","type":"function","doc":"Perform POI API(s) poi(:get, authorizer_appid, uri_supplement, query) poi(:post, authorizer_appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/poi. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/poi/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: poi(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;, query) poi(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"GlobalComponentAppIdClient.html#qrcode/2","title":"GlobalComponentAppIdClient.qrcode/2","type":"function","doc":"Perform QRCODE API(s) qrcode(:get, authorizer_appid) qrcode(:post, authorizer_appid) Send request to URL https://api.weixin.qq.com/cgi-bin/qrcode."},{"ref":"GlobalComponentAppIdClient.html#qrcode/3","title":"GlobalComponentAppIdClient.qrcode/3","type":"function","doc":"Perform QRCODE API(s) qrcode(:get, authorizer_appid, uri_supplement) qrcode(:get, authorizer_appid, query) qrcode(:post, authorizer_appid, uri_supplement) qrcode(:post, authorizer_appid, data) Send request to URL https://api.weixin.qq.com/cgi-bin/qrcode. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/qrcode/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: qrcode(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;)"},{"ref":"GlobalComponentAppIdClient.html#qrcode/4","title":"GlobalComponentAppIdClient.qrcode/4","type":"function","doc":"Perform QRCODE API(s) qrcode(:get, authorizer_appid, uri_supplement, query) qrcode(:post, authorizer_appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/qrcode. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/qrcode/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: qrcode(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;, query) qrcode(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"GlobalComponentAppIdClient.html#shorturl/3","title":"GlobalComponentAppIdClient.shorturl/3","type":"function","doc":"Perform SHORTURL API(s) shorturl(:post, authorizer_appid, uri_supplement) shorturl(:post, authorizer_appid, data) Send request to URL https://api.weixin.qq.com/cgi-bin/shorturl. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/shorturl/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: shorturl(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;)"},{"ref":"GlobalComponentAppIdClient.html#shorturl/4","title":"GlobalComponentAppIdClient.shorturl/4","type":"function","doc":"Perform SHORTURL API(s) shorturl(:post, authorizer_appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/shorturl. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/shorturl/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: shorturl(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;, query) shorturl(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"GlobalComponentAppIdClient.html#showqrcode/2","title":"GlobalComponentAppIdClient.showqrcode/2","type":"function","doc":"Perform SHOWQRCODE API(s) showqrcode(:get, authorizer_appid) Send request to URL https://mp.weixin.qq.com/cgi-bin/showqrcode."},{"ref":"GlobalComponentAppIdClient.html#showqrcode/3","title":"GlobalComponentAppIdClient.showqrcode/3","type":"function","doc":"Perform SHOWQRCODE API(s) showqrcode(:get, authorizer_appid, uri_supplement) showqrcode(:get, authorizer_appid, query) Send request to URL https://mp.weixin.qq.com/cgi-bin/showqrcode. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://mp.weixin.qq.com/cgi-bin/showqrcode/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: showqrcode(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;)"},{"ref":"GlobalComponentAppIdClient.html#showqrcode/4","title":"GlobalComponentAppIdClient.showqrcode/4","type":"function","doc":"Perform SHOWQRCODE API(s) showqrcode(:get, authorizer_appid, uri_supplement, query) Send request to URL https://mp.weixin.qq.com/cgi-bin/showqrcode. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://mp.weixin.qq.com/cgi-bin/showqrcode/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: showqrcode(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;, query) showqrcode(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"GlobalComponentAppIdClient.html#tags/2","title":"GlobalComponentAppIdClient.tags/2","type":"function","doc":"Perform TAGS API(s) tags(:get, authorizer_appid) tags(:post, authorizer_appid) Send request to URL https://api.weixin.qq.com/cgi-bin/tags."},{"ref":"GlobalComponentAppIdClient.html#tags/3","title":"GlobalComponentAppIdClient.tags/3","type":"function","doc":"Perform TAGS API(s) tags(:get, authorizer_appid, uri_supplement) tags(:get, authorizer_appid, query) tags(:post, authorizer_appid, uri_supplement) tags(:post, authorizer_appid, data) Send request to URL https://api.weixin.qq.com/cgi-bin/tags. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/tags/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: tags(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;)"},{"ref":"GlobalComponentAppIdClient.html#tags/4","title":"GlobalComponentAppIdClient.tags/4","type":"function","doc":"Perform TAGS API(s) tags(:get, authorizer_appid, uri_supplement, query) tags(:post, authorizer_appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/tags. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/tags/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: tags(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;, query) tags(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"GlobalComponentAppIdClient.html#template/2","title":"GlobalComponentAppIdClient.template/2","type":"function","doc":"Perform TEMPLATE API(s) template(:get, authorizer_appid) template(:post, authorizer_appid) Send request to URL https://api.weixin.qq.com/cgi-bin/template."},{"ref":"GlobalComponentAppIdClient.html#template/3","title":"GlobalComponentAppIdClient.template/3","type":"function","doc":"Perform TEMPLATE API(s) template(:get, authorizer_appid, uri_supplement) template(:get, authorizer_appid, query) template(:post, authorizer_appid, uri_supplement) template(:post, authorizer_appid, data) Send request to URL https://api.weixin.qq.com/cgi-bin/template. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/template/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: template(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;)"},{"ref":"GlobalComponentAppIdClient.html#template/4","title":"GlobalComponentAppIdClient.template/4","type":"function","doc":"Perform TEMPLATE API(s) template(:get, authorizer_appid, uri_supplement, query) template(:post, authorizer_appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/template. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/template/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: template(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;, query) template(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"GlobalComponentAppIdClient.html#user/2","title":"GlobalComponentAppIdClient.user/2","type":"function","doc":"Perform USER API(s) user(:get, authorizer_appid) user(:post, authorizer_appid) Send request to URL https://api.weixin.qq.com/cgi-bin/user."},{"ref":"GlobalComponentAppIdClient.html#user/3","title":"GlobalComponentAppIdClient.user/3","type":"function","doc":"Perform USER API(s) user(:get, authorizer_appid, uri_supplement) user(:get, authorizer_appid, query) user(:post, authorizer_appid, uri_supplement) user(:post, authorizer_appid, data) Send request to URL https://api.weixin.qq.com/cgi-bin/user. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/user/${uri_supplement}, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: user(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;)"},{"ref":"GlobalComponentAppIdClient.html#user/4","title":"GlobalComponentAppIdClient.user/4","type":"function","doc":"Perform USER API(s) user(:get, authorizer_appid, uri_supplement, query) user(:post, authorizer_appid, uri_supplement, data) Send request to URL https://api.weixin.qq.com/cgi-bin/user. Refer WeChat Official Accounts Platform document, if you need to call a service&#39;s url is https://api.weixin.qq.com/cgi-bin/user/${uri_supplement}, and need to post data or append query string, please use uri_supplement parameter to construct the corresponding service&#39;s complete url, for example: user(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;, query) user(:http_verb, authorizer_appid, :&quot;${uri_supplement}&quot;, data)"},{"ref":"WeChat.UploadMedia.html","title":"WeChat.UploadMedia","type":"module","doc":"Example defmodule MyClient do use WeChat, appid: &quot;myappid&quot; end media = %WeChat.UploadMedia{ file_path: &quot;path_to_file&quot;, type: &quot;image&quot; } MyClient.media(:post_form, :upload, %{media: media})"},{"ref":"WeChat.UploadMedia.html#t:t/0","title":"WeChat.UploadMedia.t/0","type":"type","doc":""},{"ref":"WeChat.UploadMediaContent.html","title":"WeChat.UploadMediaContent","type":"module","doc":"Example defmodule MyClient do use WeChat, appid: &quot;myappid&quot; end file_content = File.read!(&quot;path_to_file&quot;) media = %WeChat.UploadMediaContent{ file_content: file_content, file_name: &quot;myfilename&quot;, type: &quot;image&quot; } MyClient.media(:post_form, :upload, %{media: media})"},{"ref":"WeChat.UploadMediaContent.html#t:t/0","title":"WeChat.UploadMediaContent.t/0","type":"type","doc":""},{"ref":"readme.html","title":"Elixir for WeChat","type":"extras","doc":"Elixir for WeChat 用于微信公众号开放生态环境下构建Elixir版本应用: 支持绝大多数 微信公众号开放 接口 支持 微信第三方平台应用 接口 *注意: 目前微信支付相关接口并不保证在支持范围内。"},{"ref":"readme.html#背景","title":"Elixir for WeChat - 背景","type":"extras","doc":"参考微信官方对access_token的指导文档，需要提供一种集中式（这里称为 “hub”，下同）的方式统一管理、维护（刷新）access_token，所以当前这个版本的SDK在设计的时候，考虑了以下几种调用微信接口的使用场景： 使用该SDK直接对接某个微信公众号完成该公众号的开发 直接对接某个微信公众号，该SDK用作 “hub” 的使用场景，SDK需要提供一些必要的方法提供需要缓存（持久化）的数据操作途径，这时可以通过定义、实现 WeChat.Adapter.Storage.Hub 行为，来完成相关的access_token持久化适配。 直接对接某个微信公众号，该SDK用作 “client” 的使用场景，SDK仅需要提供一些方法从“hub”获取、清空access_token，这时可以通过定义、实现 WeChat.Adapter.Storage.Client 行为，来完成相关的access_token持久化适配。 使用该SDK对接某个微信第三方平台应用，通过公众号授权相关功能给这个第三方平台的应用，将通过第三方平台应用来调用已授权公众号的相关接口 对接第三方平台应用，该SDK用作 “hub” 的使用场景，SDK需要提供一些必要的方法提供需要缓存（持久化）的数据操作途径，这时可以通过定义、实现 WeChat.Adapter.Storage.ComponentHub 行为，来完成相关的access_token/component_access_token持久化适配。 对接第三方平台应用，该SDK用作 “client” 的使用场景，SDK仅需要提供一些方法从 component application “hub” 获取、清空access_token/component_access_token，这时可以通过定义、实现 WeChat.Adapter.Storage.ComponentClient 行为，来完成相关的access_token/component_access_token持久化适配。 *注意：无论是直接对接公众号开发，还是第三方应用的集成，SDK默认是作为 “client” 的使用场景，且对 “hub” 实现一套默认Http请求操作（详情请见WeChat.Storage.Default）"},{"ref":"readme.html#如何使用","title":"Elixir for WeChat - 如何使用","type":"extras","doc":"作为 “client” 的使用场景 # 配置config，这里的`hub_base_url`填写hub web服务的host及http协议 config :elixir_wechat, hub_base_url: &quot;http://localhost:4000&quot; 直连微信公众号应用开发 defmodule MyAppClient do use WeChat, appid: &quot;myappid&quot; end 以上创建MyAppClient的方式，与下面的方式结果是一样的 defmodule MyAppClient do use WeChat, appid: &quot;myappid&quot;, adapter_storage: WeChat.Storage.Default, # by default if not set it. scenario: :client # by default if not set it. end 如果需要替换默认的WeChat.Storage.Default，可以通过实现WeChat.Adapter.Storage.Client相关定义的module来完成。 对接第三方应用的集成 defmodule MyComponentAppClient do use WeChat.Component, appid: &quot;mycomponentappid&quot; end 以上创建MyComponentAppClient的方式，与下面的方式结果是一样的 defmodule MyComponentAppClient do use WeChat.Component, appid: &quot;mycomponentappid&quot;, adapter_storage: WeChat.Storage.ComponentDefault, scenario: :client end 如果需要替换默认的WeChat.Storage.ComponentDefault，可以通过实现WeChat.Adapter.Storage.ComponentClient相关定义的module来完成。 作为 “hub” 的使用场景 与作为 “client” 的使用场景对比，在config文件中无需做任何配置。 直连微信公众号应用开发 defmodule MyAppClient do use WeChat, appid: &quot;myappid&quot;, scenario: :hub, adapter_storage: WeChat.Storage.MyImpl end 以上示例中的WeChat.Storage.MyImpl，需要实现WeChat.Adapter.Storage.Hub行为。 对接第三方应用的集成 defmodule MyComponentAppClient do use WeChat.Component, appid: &quot;mycomponentappid&quot;, scenario: :hub, adapter_storage: WeChat.Storage.MyImpl end 以上各种使用场景中所创建调用微信接口的客户端，appid(公众号appid或微信第三方应用appid)，可以在构造客户端的时候填入， 这时构造的客户端就包含了该appid作为全局信息，在之后具体调用微信接口的时候，就可以不用再提供这个参数，这种方式通常适用于作为客户端调用，只需要维护一个appid的情况下；当需要作为服务端的调用请求，支持多个appid动态请求的情况，可以用如下的方式构造： # # 以对接第三方应用的集成作为示例，其他场景下构造客户端的时候不填写appid同样适用 # defmodule MyComponentAppClient do use WeChat.Component, scenario: :hub, adapter_storage: WeChat.Storage.MyImpl end 以上示例中的WeChat.Storage.MyImpl，需要实现WeChat.Adapter.Storage.ComponentHub行为。"},{"ref":"readme.html#文档","title":"Elixir for WeChat - 文档","type":"extras","doc":"更多详情请见文档 $ MIX_ENV=docs mix docs"},{"ref":"readme.html#需要更多的微信接口支持","title":"Elixir for WeChat - 需要更多的微信接口支持？","type":"extras","doc":"随着微信平台有更多接口的开放及更新，预期中，我们可以通过调整在config/wechat_api.toml和config/wechat_component_api.toml中的配置来维护这个客户端代码库。 目前这个SDK的设计思路是把微信公开接口中那些“不太统一”的地方，全部放在以上2个toml文件中配置管理，然后通过定义好所需要使用客户端的场景，完成对缓存存储的适配，再批量生成那些需要使用的通用微信接口。 我们预设使用这个SDK的时候，依然会参考微信官方的接口文档，SDK的使用者需要准备对应接口所需的参数（除了access_token和component_access_token）及相关性校验，该SDK只负责接口的调用，具体业务参数的校验目前不在处理范围中。 生成的微信接口方法请见文档中的“MODULES - GUIDE”，或了解测试用例。"}]